Skip to main content
Help improve PyPI by participating in a 5-minute user interface survey!

Fanstatic packaging of ExtJS

Project Description

js.extjs

Introduction

This library packages ExtJS for fanstatic.

This requires integration between your web framework and fanstatic, and making sure that the original resources (shipped in the resources directory in js.extjs) are published to some URL.

How to use?

You can import various resources from js.extjs and need it where you want these resources to be included on a page. The two basic resource sets that you’ll probably need are these

>>> from js import extjs
>>> extjs.basic.need()

You can also include individual resources

>>> from js.extjs import extjs, ux, locale
>>> extjs.js.need()
>>> extjs.css.need()
>>> extjs.all.need()
>>> ux.all.need()

You can also import themes

>>> from js.extjs import theme
>>> theme.gray.need()
>>> theme.access.need()
>>> theme.neptune.need()

Or import a single ux element

>>> ux.BoxReorderer.need()
>>> ux.CellDragDrop.need()
>>> ux.DataTip.need()
>>> ux.DataViewTransition.need()
>>> ux.FieldReplicator.need()
>>> ux.GMapPanel.need()
>>> ux.GroupTabPanel.need()
>>> ux.GroupTabRenderer.need()
>>> ux.IFrame.need()
>>> ux.LiveSearchGridPanel.need()
>>> ux.PreviewPlugin.need()
>>> ux.ProgressBarPager.need()
>>> ux.RowExpander.need()
>>> ux.SlidingPager.need()
>>> ux.Spotlight.need()
>>> ux.TabCloseMenu.need()
>>> ux.TabReorderer.need()
>>> ux.TabScrollerMenu.need()
>>> ux.ToolbarDroppable.need()
>>> ux.TreePicker.need()

Import different locales

>>> locale.ext_lang_af.need()
>>> locale.ext_lang_bg.need()
>>> locale.ext_lang_ca.need()
>>> locale.ext_lang_cs.need()
>>> locale.ext_lang_da.need()
>>> locale.ext_lang_de.need()
>>> locale.ext_lang_el_GR.need()
>>> locale.ext_lang_en_AU.need()
>>> locale.ext_lang_en_GB.need()
>>> locale.ext_lang_en.need()
>>> locale.ext_lang_es.need()
>>> locale.ext_lang_et.need()
>>> locale.ext_lang_fa.need()
>>> locale.ext_lang_fi.need()
>>> locale.ext_lang_fr_CA.need()
>>> locale.ext_lang_fr.need()
>>> locale.ext_lang_gr.need()
>>> locale.ext_lang_he.need()
>>> locale.ext_lang_hr.need()
>>> locale.ext_lang_hu.need()
>>> locale.ext_lang_id.need()
>>> locale.ext_lang_it.need()
>>> locale.ext_lang_ja.need()
>>> locale.ext_lang_ko.need()
>>> locale.ext_lang_lt.need()
>>> locale.ext_lang_lv.need()
>>> locale.ext_lang_mk.need()
>>> locale.ext_lang_nl.need()
>>> locale.ext_lang_no_NB.need()
>>> locale.ext_lang_no_NN.need()
>>> locale.ext_lang_pl.need()
>>> locale.ext_lang_pt_BR.need()
>>> locale.ext_lang_pt_PT.need()
>>> locale.ext_lang_pt.need()
>>> locale.ext_lang_ro.need()
>>> locale.ext_lang_ru.need()
>>> locale.ext_lang_sk.need()
>>> locale.ext_lang_sl.need()
>>> locale.ext_lang_sr_RS.need()
>>> locale.ext_lang_sr.need()
>>> locale.ext_lang_sv_SE.need()
>>> locale.ext_lang_th.need()
>>> locale.ext_lang_tr.need()
>>> locale.ext_lang_ukr.need()
>>> locale.ext_lang_vn.need()
>>> locale.ext_lang_zh_CN.need()
>>> locale.ext_lang_zh_TW.need()

CHANGES

4.2.1.883 (2015-08-07)

  • Updated to newest ExtJs 4 version.
  • Include locale from extjs
  • Use Tox for running tests

3.3.1 (2011-01-21)

  • Initial release.

Release history Release notifications

This version
History Node

4.2.1.883

History Node

3.3.1

Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
js.extjs-4.2.1.883.tar.gz (4.3 MB) Copy SHA256 hash SHA256 Source None Aug 7, 2015

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging CloudAMQP CloudAMQP RabbitMQ AWS AWS Cloud computing Fastly Fastly CDN DigiCert DigiCert EV certificate StatusPage StatusPage Status page